Bug 805969 - oVirt CLI : no status of delete host command
oVirt CLI : no status of delete host command
Status: CLOSED NOTABUG
Product: oVirt
Classification: Community
Component: ovirt-engine-cli (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Michael Pasternak
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-22 11:18 EDT by Avihai Shoham
Modified: 2014-01-12 19:37 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-26 09:23:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Avihai Shoham 2012-03-22 11:18:25 EDT
when deleting host the cli not give status of delete host command. other commands do have status command state

[oVirt shell (connected)]# action host camel-vdsb deactivate 

status-state: complete

[oVirt shell (connected)]# 
[oVirt shell (connected)]# delete host camel-vdsb 


Expected results:

return 

command state when deleting host (e.g. status-state: complete)

impact :
user doesn't know if the command failed or succeed
Comment 1 Michael Pasternak 2012-03-26 09:23:05 EDT
actions are different from the DELETE command, by REST spec DELETE commands
doesn't return success/failure, but only ACCEPTED status, if DELETE
will fail on pre-delete verification - return status won't be ACCEPTED
and CLI will throw error.

Note You need to log in before you can comment on or make changes to this bug.